searchNodes=[{"doc":"ExDuck is an Elixir Client for the DuckDuckGo Instant Answer API","ref":"ExDuck.html","title":"ExDuck","type":"module"},{"doc":"Query the DuckDuckGo Instant Answer API into a normalized answer Will return a map of normalized results from the API Will raise in case of errors This is exactly the same as calling ExDuck . query! ( &quot;elixir language&quot; ) |&gt; ExDuck . understand ( ) Examples iex&gt; ExDuck . answer! ( &quot;Elixir Language&quot; ) . heading &quot;Elixir (programming language)&quot;","ref":"ExDuck.html#answer!/1","title":"ExDuck.answer!/1","type":"function"},{"doc":"Query the DuckDuckGo Instant Answer API Will return the raw (JSON-decoded) results from the API Will raise in case of errors Examples iex&gt; ExDuck . query! ( &quot;Elixir Language&quot; ) |&gt; Map . get ( &quot;Heading&quot; ) &quot;Elixir (programming language)&quot;","ref":"ExDuck.html#query!/1","title":"ExDuck.query!/1","type":"function"},{"doc":"Translate a normalized answer or raw query results to markdown Examples iex&gt; ExDuck . query! ( &quot;Elixir Language&quot; ) ...&gt; |&gt; ExDuck . to_markdown ( ) ...&gt; |&gt; String . starts_with? ( &quot;# Elixir (programming language)&quot; )","ref":"ExDuck.html#to_markdown/1","title":"ExDuck.to_markdown/1","type":"function"},{"doc":"Normalize a response from the DuckDuckGo Instant Answer API This is the real deal of this library. Querying the API is simply HTTP GET and JSON parsing. This function is where DuckDuckGo's several types of answers are parsed into consistent forms and non-responses are recognized (e.g. calculation answers). I'm not sold on my current state of normalization. But it does suffice. Calling understand/1 with an already normalized answer is idempotent. Examples # a direct answer iex&gt; elixir = ExDuck . query! ( &quot;Elixir Language&quot; ) |&gt; ExDuck . understand ( ) iex&gt; elixir |&gt; Map . keys ( ) [ :answer , :entity , :heading , :image , :image_caption , :information , :related , :source , :type , :url ] # a category answer iex&gt; simpsons_characters = ExDuck . query! ( &quot;Simpsons Characters&quot; ) |&gt; ExDuck . understand ( ) iex&gt; simpsons_characters |&gt; Map . keys ( ) [ :entries , :heading , :type ] iex&gt; simpsons_characters . type == &quot;category&quot; true # understanding is idempotent iex&gt; elixir = ExDuck . query! ( &quot;Elixir Language&quot; ) |&gt; ExDuck . understand ( ) iex&gt; elixir == ExDuck . understand ( elixir )","ref":"ExDuck.html#understand/1","title":"ExDuck.understand/1","type":"function"},{"doc":"An Elixir Client for the DuckDuckGo Instant Answer API","ref":"readme.html","title":"ExDuck","type":"extras"},{"doc":"ExDuck can be installed by adding ex_duck to your list of dependencies in mix.exs : def deps do [ { :ex_duck , &quot;~&gt; 0.1.0&quot; } ] end Documentation is published on hexdocs .","ref":"readme.html#installation","title":"ExDuck - Installation","type":"extras"},{"doc":"MIT License Copyright (c) 2022 Stephen Ball Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]